Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519749 - Review request: qdigidoc - Estonian digital signature application
Summary: Review request: qdigidoc - Estonian digital signature application
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1519747
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 11:30 UTC by Germano Massullo
Modified: 2018-02-20 17:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-20 17:14:03 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Germano Massullo 2017-12-01 11:30:22 UTC
Unretiring https://src.fedoraproject.org/rpms/qdigidoc

Description
QDigiDoc is an application for digitally signing and encrypting documents in
ASiC-E, BDoc, DDoc, and CDoc container formats. These file formats are
widespread in Estonia where they are used for storing legally binding digital
signatures.

https://germano.fedorapeople.org/package_reviews/qdigidoc/qdigidoc.spec

https://germano.fedorapeople.org/package_reviews/qdigidoc/qdigidoc-3.13.4-1.fc27.src.rpm

Comment 1 Robert-André Mauchin 2017-12-03 17:03:24 UTC
 - make %{?_smp_mflags} → %make_build

 - make install DESTDIR=%{buildroot} → %make_install

 - The policies regarding scriplets have changed since Fedora > 24, thus update-desktop-database and update-mime-database are not needed anymore. Only remains gtk-update-icon-cache:

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

 - The license files should be included with the %license macro, not %doc:

%files
%doc AUTHORS README.md CONTRIBUTING.md RELEASE-NOTES.md
%license COPING LICENSE.LGPL LICENSE.LGPL 

 - Use pkgconfig for BR when you can:

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  pkgconfig(libdigidocpp)
BuildRequires:  openldap-devel
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(Qt5Designer)
BuildRequires:  pkgconfig(libpcsclite) >= 1.7
BuildRequires:  libappstream-glib
BuildRequires:  qtsingleapplication-qt5-devel
Requires:       hicolor-icon-theme
# Dynamically loaded library
Requires:       opensc%{?_isa}
Requires:       pcsc-lite-ccid%{?_isa}
Requires:       liberation-fonts

 - For the nautilus subpackage, add %{?_isa}:

Requires:       %{name}%{?_isa} = %{version}-%{release}

 - qdigidoc.x86_64: W: file-not-utf8 /usr/share/doc/qdigidoc/AUTHORS

Convert AUTHORS to UTF-8

Comment 3 Robert-André Mauchin 2018-01-06 23:36:08 UTC
 - You need to remove LICENSE.LGPL from %doc, you don't need it twice.

Package approved.

Comment 4 Juha Tuomala 2018-01-30 10:31:11 UTC
Germono, you approached me with emails asking for help but acted against me what we wrote in emails. This software is all about juridical trust and I don't trust you.

So I repeat myself: I don't want to have nothing to do with this or you. Remove me from these packages, including co-maintainership, I cannot do it myself because lack of rights.

Comment 5 Germano Massullo 2018-01-30 11:05:10 UTC
You can remove yourself from package maintainership, if you don't manage to do it, ask Fedora admins in #fedora-admin

Comment 6 Juha Tuomala 2018-01-30 11:06:46 UTC
(In reply to Germano Massullo from comment #5)
> You can remove yourself from package maintainership, if you don't manage to
> do it, ask Fedora admins in #fedora-admin

I tried, it claims that have no rights. But someone fixed it now.

Comment 7 Fedora Update System 2018-01-31 22:38:33 UTC
qdigidoc-3.13.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-569f4b05f7

Comment 8 Fedora Update System 2018-02-01 19:30:36 UTC
qdigidoc-3.13.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-569f4b05f7

Comment 9 Fedora Update System 2018-02-08 19:11:12 UTC
qdigidoc-3.13.5-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8d148ceb02

Comment 10 Fedora Update System 2018-02-09 18:47:43 UTC
qdigidoc-3.13.5-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8d148ceb02

Comment 11 Fedora Update System 2018-02-20 17:14:03 UTC
qdigidoc-3.13.5-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.